Method: projects.subscribers.subscriptions.delete

Deletes a specific user subscription, stopping notifications for this user to this subscriber.

HTTP request

DELETE https://health.googleapis.com/v4/{name=projects/*/subscribers/*/subscriptions/*}

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
name

string

Required. The resource name of the subscription to delete. Format: projects/{project}/subscribers/{subscriber}/subscriptions/{subscription} Example: projects/my-project/subscribers/my-subscriber-123/subscriptions/my-subscription-456 The {subscriber} ID is user-settable (4-36 characters, matching /a-z/) if provided during creation, or system-generated otherwise. The {subscription} ID is user-settable (4-36 characters, matching /a-z/) or system-generated if not provided during creation. It takes the form projects/{project}/subscribers/{subscriber}/subscriptions/{subscription}.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • health.subscriptions.delete

For more information, see the IAM documentation.